
declare class Chroma {
  private elements: string;
  private Reset: string;
  private Bold: string;
  private Dim: string;
  private Underscore: string;
  private Blink: string;
  private Reverse: string;
  private Hidden: string;

  private FgOrange: string;
  private FgPurple: string;
  private FgBlack: string;
  private FgRed: string;
  private FgGreen: string;
  private FgYellow: string;
  private FgBlue: string;
  private FgMagenta: string;
  private FgCyan: string;
  private FgWhite: string;

  private BgOrange: string;
  private BgPurple: string;
  private BgBlack: string;
  private BgRed: string;
  private BgGreen: string;
  private BgYellow: string;
  private BgBlue: string;
  private BgMagenta: string;
  private BgCyan: string;
  private BgWhite: string;

  constructor(
    color?: { 
      orange: string | undefined; 
      purple: string | undefined; 
      black: string | undefined; 
      profile: string | undefined;
      red: string | undefined;
      green: string | undefined;
      yellow: string | undefined;
      blue: string | undefined;
      magenta: string | undefined;
      cyan: string | undefined;
      white: string | undefined;
    }
  )
   get dim(): this; 
   get underscore(): this;
   get blink(): this;
   get reverse(): this;
   get hidden(): this;
   get bold(): this;
   // Get text color
   get blue(): this;
   get cyan(): this;
   get purple(): this;
   get magenta(): this;
   get red(): this;
   get orange(): this;
   get yellow(): this;
   get green(): this;
   get white(): this;
   get black(): this;
   // Get background color
   get blueBg(): this;
   get cyanBg(): this;
   get purpleBg(): this;
   get magentaBg(): this;
   get redBg(): this;
   get orangeBg(): this;
   get yellowBg(): this;
   get greenBg(): this;
   get whiteBg(): this;
   get blackBg(): this;
   // Get all colors in 256 palette
   get palette(): this;
}

let chroma: typeof Chroma;

declare chroma.Chroma = Chroma;
declare chroma.chroma = chroma;
declare chroma.default = chroma;

export = chroma;
